Bug 1049324 - Using the arrow right key in preëdit does work correctly, it moves the preëdit to the right
Summary: Using the arrow right key in preëdit does work correctly, it moves the preëdi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 12:34 UTC by Mike FABIAN
Modified: 2014-01-29 03:08 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.2.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-29 03:04:16 UTC


Attachments (Terms of Use)
arrow-right-when-used-in-preedit-moves-preedit.ogv (84.48 KB, video/ogg)
2014-01-07 12:34 UTC, Mike FABIAN
no flags Details
0001-Fix-behaviour-of-arrow-right-keys-in-pre-dit.patch (1.33 KB, patch)
2014-01-07 12:38 UTC, Mike FABIAN
no flags Details | Diff

Description Mike FABIAN 2014-01-07 12:34:29 UTC
Created attachment 846637 [details]
arrow-right-when-used-in-preedit-moves-preedit.ogv

See attached video.

When using the arrow keys in the preëdit, only the cursor within the 
preëdit should move.

But when using arrow right, the whole preëdit moves to the right.

Comment 1 Mike FABIAN 2014-01-07 12:38:35 UTC
Created attachment 846639 [details]
0001-Fix-behaviour-of-arrow-right-keys-in-pre-dit.patch

Patch to fix the problem.

Comment 2 Fedora Update System 2014-01-17 16:25:39 UTC
ibus-typing-booster-1.2.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-typing-booster-1.2.9-1.fc20

Comment 3 Fedora Update System 2014-01-17 16:27:10 UTC
ibus-typing-booster-1.2.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-typing-booster-1.2.9-1.fc19

Comment 4 Fedora Update System 2014-01-18 04:25:03 UTC
Package ibus-typing-booster-1.2.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-typing-booster-1.2.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1061/ibus-typing-booster-1.2.9-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-29 03:04:16 UTC
ibus-typing-booster-1.2.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-01-29 03:08:54 UTC
ibus-typing-booster-1.2.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.